Message Maker Attach Files

This option is only available if you have selected a compression technique in the Message Maker Setup screen in Ground Station Control.

This window allows you to select up to 2 files that will be attached to your message. You can change directories and select a file in the left listbox. Files that are selected will be listed in the right listbox.

Add If you have a file highlighted in the left hand listbox, this will be added to the attached file list in the right hand listbox. If you already have 2 files in the attached files listbox, the Add button will be disabled.

Remove If you have a file highlighted in the right hand Attached Files listbox, this will be removed from the attached file list. If there are no files listed in the right hand listbox, the Remove button will be disabled.

This help file was created with the free trial version of HelpScribble.


Select this option to ensure that MSPE will download all files it hears. This should normall be checked.


USERLIST.TXT

This file is produced by JA6FTL. It is a text file list of stations using the 9600 baud satellites, and their equipment. Send a message to JA6FTL to have your data entered in the file.

If you don't have JA6FTL's file, MsgMaker will produce one for you by asking for the name of stations the first time you send them a message. See Message Maker GetName for more info.


MSPE Temporary Settings

Temporary Settings

The selections you make in this window will only affect the current session. They will not be saved to disk unless you use one of the main setup windows.

Uploading Enabled

This option will enable/disable all file uploads until they are re-enabled.

Broadcast Requests Enabled

This will enable/disable any requests to the satellite to start broadcasting, or hole fill, a file.

Auto Upload Selection Enabled

This will enable/disable the auto uplink selection feature. The auto upload selection feature allows MSPE to automatically attempt to select a free uplink frequency. This is obviously only of use with satellites that have more than one uplink frequency.

Uplink Selection

You can check one of the four radio buttons to force the uplink to the desired frequency.


Select this option to open View-Dir when MSPE opens. Normally you should also select the 'Close View-Dir' option as well.


Any downloaded image files, either those generated onboard by the Earth Imaging System (EIS) or those uploaded by other stations, are placed in this directory.


Files with filetype 255 are placed in this directory. Also, some other unknown filetypes are placed here as are Type 0 files that are not straight ASCII text files.


Directory Maintenance

The Directory Maintenance screen allows you to edit the directory hole list.

There are two options.

1 Remove Holes. This will bring the directory <Up to Date>.

2 Reset Holes. This will change the age of the directory. If you check this option then the Age to make dir. box sets how many days old the directory will be adjusted to.

Between these two options, you can set the directory to a know state. This could be useful if you have been off the satellites for a while, and your directory is very old, or full of holes.


The Transmit Delay is a function of your transmitter and the spacecraft receiver. It needs to be long enough so that the transmitter Phase Locked Loop (PLL) can lock on to the transmit frequency and stabilise, and also long enough so that the spacecraft receiver AFC can lock to your transmission. However, setting this too long will reduce uplink efficiency and increase interference. A setting of between 100 to 300 milliseconds should be adequate for most stations.


All passes of this spacecraft whose duration is less than this time (in minutes) will not automatically be processed. These passes will still be displayed in the schedule list but they will be displayed in a light get colour. You can manually use the edit schedule option if you wish to run a pass whose duration is below the minimum.


SatGate forwarding files are placed in the directory. This will not be of interest to most stations.


This is the main directory for this satellite. All partially downloaded files are placed here, as are the directory files, upload files and various system files. Normally, all your other directories for this satellite will be a subdirectory of this.


This is the amount of time after all data has been sent that the transmitter will remain keyed. This time is just to ensure that all data has been sent before the transmitter turns off. Don't make it longer than necessary as it will affect uplink efficiency and increase uplink interference.


This is the time from when you create the message until when the satellite will delete the file. Note: The file may be deleted earlier if satellite memory gets low.


Copying an upload file

From the View Upload File Status screen, you can highlight a file in the listbox, and press the Copy button. This will enable another combobox with a list of satellites. You can select a satellite from the list, and press the OK button. This file will be copied to the satellite directory of the selected satellite.

If the file is not an OUT file, its extension will be changed to .OUT. In this manner it is also possible to copy a ULX file back to an OUT file be selecting the same satellite name in both boxes.


This sets the baud rate for the radio link to the spacecraft. This is used to allow MSPE to calculate the amount of time required for a packet to reach the satellite for time critical protocols.


The TZ variable has the following format....

SET TZ=AAA+/-99[BBB]

Where... AAA is the timezone name, and must be 3 characters

+/-99 is the number of hours from GMT to your timezone

BBB is the optional name of your timezone in daylight time. You should only have this specified if you are presently in Daylight time, as it adjusts the number of hours by one.

Supposedly you can have the optional daylight saving timezone name on the string all year around, and DOS will sort out when you are actually in DST. However, this may not work. It is carried out using the COUNTRY.SYS driver in DOS. Several things may cause this to work incorrectly. If you find this isn't working, then just put the DST name on the string when you are actually in DST.

It should be entered in your AUTOEXEC.BAT file.


You should enter the path and filename of the program that you wish GSC to run for each pass of a particular satellite. GSC can also pass the satellite name to the program if you add %S to the end of the filename. MSPE requires this perameter.


File Housekeeping

The File Housekeeping option allows you to delete files that may not be required by the system anymore. Old PFH (Directory) files can be deleted leaving only a certain number of files left in your satellite directory. Old uncompleted downloads, completed uploads, and completed downloads (DLX), can be deleted if they are older than a certain age.

The selections you make will be saved for you for next time you use File Housekeeping.


Manually Run a Pass

From the GSC Tracking menu, you can manually run a satellite pass. This will run a pass just as though it was a calculated pass. In fact, it creates a listing in the schedule list for a quarter hour pass. It has priority M, so it can not be over ridden by any other satellite. When you exit MSPE, the manual pass will be deleted from the schedule list.

Select the satellite you wish to run from those available in the listbox.


If Pass Checking is enabled, then GSC will not run any passes whose directory is newer than the number of minutes specified in this box.


The Squint Angle is the angle between the satellites antenna and the observer. This is only true for high gain antennas. For low gain antennas (monopoles) the squint angle is 90 degrees off this.


Selecting this option will allow MSPE to try to select a free uplink channel when uploading files. It does this by looking at the OPEN message. This will only work if you have a rotator/radio controller interfaced to WiSP.


This sets the startup condition for the scheduled program for this spacecraft. Setting this to Minimised will allow the program to run without changing the active program. ie. the program will be started as an icon. Once the program is started, its state can be changed.


A Signature File is a short file containing information on your station. Information that should be included is your name, callsign and home BBS/Satellite.


Select this option to run ProcMail at the end of a pass. This is normally selected. If you don't select this option, mail will not be automatically processed at the end of a pass.


This sets the threshold below which MSPE will run ProcMail during a pass to process received mail. ie. If a file is completely downloaded and it is smaller than this threshold, MSPE will run ProcMail to decode it.


This is the number of seconds that MSPE will wait for an acknowledgement from the spacecraft while uploading a file before it will retransmit the last unacknowledged frame. A setting of 2 or 3 seconds should be about right.


If you are using an uplink transverter you should enter the IF of the transverter in this box. WiSP uses this to calculate the correct frequency to set the radio.


Browse

This screen allows you to look through your disk(s) and select a filename. This filename will be entered into the filename box when you press OK.


Once keplerian element files are downloaded from the spacecraft, they are placed in this directory. You may elect to make this directory the same for all satellites. In this case you should select the Process keps file to original name option in the ProcMail Setup. In this way, if keps are uploaded to all spacecraft, you will not end up with a separate copy in each satellite directory.


Broadcast Options

These options control the way MSPE handles broadcast requests. They can help make the satellite more efficient by limiting the number of stations requesting the directory, and also (possibly) limiting the number of requests for the same part of the file. MSPE uses a random method for deciding which holes it will request when requesting a file, and this should increase download speed and efficiency. For example, with a large file with a few holes required, one station may request fills of the beginning of the file, while another station may request fill of the end of the file (this is done automatically, and is random).

Send Auto Fill Requests

Checking this option will enable the automatic filling of files. This should normally be checked.

Customisation

NOTE: With all these options, once you have stopped requesting the directory for whatever reason, you will continue to fill all requested files before finishing the directory.

Don't Interrupt Dir

Selecting this option will allow the directory to be completely filled before any requests for files are made.

Interrupt when not in queue

This option will interrupt the directory fill, and download any requested files, when you are no longer in the PB queue. Therefore, even if your directory is not up to date, but you have files to download, the files will be requested before resuming the directory fill.

Interrupt Dir for MY files

With this option, if you are filling the directory and a message addressed to your station is received in the directory, that file will be requested. Once all of your personal mail has been received, MSPE will continue filling other requested files before resuming the directory fill.

Interrupt Dir for ANY file

With this option, if you are filling the directory and a message is received in the directory that is selected to automatically download, that file will be requested. MSPE will continue filling other requested files before resuming the directory fill.

Action when at tail of queue

MSPE can request a new hole fill when you are at the end of the queue. This should increase the speed of downloads because if some of your holes have been filled as a result of other stations requests, the satellite will not have to transmit the parts that you have received.

One possibility however is that your request may be beaten to the satellite by another stations request. This will cause you to be pushed back by one position in the queue. You won't be removed though.

You will not miss out on a position in the queue. If you are already in the queue, you can't be removed.

Randomly send request

On average, every four or five times that your call gets to the tail of the queue, a new request will be sent to update the hole list that the satellite is holding for your requests. This is a reasonably sociable option to select because you will keep your hole list reasonably well up to date, and you will also exit from the queue and allow others to have a go (of course when you exit from the queue, you have just as much chance to get back in as anyone else). Over less populated areas, where the queue normally doesn't get full, the Send new request option is probably better.

Nothing

This option will allow you to just continue in the queue until you are removed by the satellite in the normal way. No special action will be taken when your call gets to the tail of the queue.

Send new request

Every time that your call gets to the end of the queue, a new request will be sent. While this will probably result in the most efficient downloading, it may also be unsociable in heavily populated areas where the queue is often full. This is because you will not normally exit the queue until a file is complete.


Click here to enter a new transverter.


Missing image: bm18.wmf The Cancel button will cancel any changes made on the current screen since you opened that screen. Any changes made will not be saved to disk, and will not take effect in the program


GSC can wait a small amount of time before sending each byte of information to the controller. This may be required with some controllers to avoid missing characters.


Use these checkboxes to select one of the uplink frequencies as the default.


GSC needs to know where your rotator azimuth travel stops to allow it to calculate elevation flip mode.


Your station longitude is the number of degrees east or west of the Greenwich meridian that your station is positioned.


This selected the time at which WiSP will stop running passes automatically. Times are in either local or UTC as selcted in general setup.


Select the type of sounds that you want WiSP to provide. You can have no sounds, beeps from the speaker, or WAV sounds using a sound card.


Satellite Log files are files that have been created by on-board housekeeping tasks. These normally have a filetype above 200. All log files are placed in this directory once downloaded.


Once downloaded files have been processed, any files that are addressed to your station are placed in this directory for viewing.


View ProcMail Errors

When ProcMail processes files it does so automatically and does not alert the use to any problems encountered during the process. It does however keep an error log that can be viewed from within GSC. The display function is located under the Housekeeping menu option.

The satellite, filenumber, and reason for the error are displayed. You can scroll through the list if there are more than one page of errors.

There are times when an error will be recorded, but the file will still be processed. This will occur mainly when the error is a Body Checksum Error or Header Checksum Error.

Clear The Clear button will clear the list and delete the ProcMail error log from the disk. This should only be complete after you have checked out all the errors in the list.

Process The Process button will allow you to manually process a message by running ProcMsg. Thus you can make the decisions required in the processing task and possibly allow the message to be recovered. This will mainly happen when the station sending the message has entered incorrect data into the file header.

Print This will allow you to print the ProcMail Error Log.


After downloaded files have been processed, and the original files extracted from the DL file, the DL file is renamed to a DLX and is moved into this directory. Usually this is kept for a few days in case it is required, and then deleted. The deletion can be carried out automatically by scheduling a Housekeeping Event.


Select the COM port that your TNC is connected to.


This is the scheduling priority of this spacecraft. The lower the number, the higher priority. Spacecraft with higher priority will have their passes run in preference to those with lower priority.


This is the altitude above mean sea leve that your station is positioned.


Your station latitude is the number of degrees north or south of the equator that your station is positioned.


Change Observers

You can select up to five observers. Azimuth/Elevation values will be calculated for all the observers that you select.

You can also add an observer by pointing on the map with the mouse cursor, and double clicking the left mouse button. This will add an observer to the end of the list for the Lat/Long that the mouse is pointing to. If there are already five observers in the list, the last observer will be overwritten with the new data.

Note: The Lat/Long that is calculated from the mouse pointer is not exact.


MSPE can log all telemetry frames during a pass. This file is the same format as the KISS log however only contains TLM frames.


The NUP callsign is the callsign for the New Upload Protocol. This is used by some spacecraft as a more efficient means of uploading. It usually has an SSID of -10.


MSPE General Program Overview

MSPE is short for MicroSat Protocol Engine. It is the heart of the Microsat groundstation software, and provides the uploading and downloading functions.

MSPE uses its own inbuilt TNC software, and requires a KISS TNC to operate. This approach is necessary to allow the software to operate in both the connected mode (used for uploading) and also the broadcast mode. It does also have some advantages ->

The software becomes just about TNC independent.

The software knows more about what is happening at the AX25 transfer level, and is able to supply better information to the user.

Before MSPE can be used, you must configure the satellite setup and station setup. Other setup options should be checked and configured to allow your station to work the way you wish.

MSPE will automatically select files for downloading using equations that are in an equation file. For more information on this, refer to MSPE Equation Files.

MSPE has several methods of increasing the efficiency on the downlink and thus increasing the number of stations able to access the satellites. These methods include -:

1. Random hole requests. MSPE offers some randomness in the way it requests hole fills. Last hole first, first hole first, or largest hole first requests should mean that if there are several stations all downloading a large file, then chances are that they will request different parts of the file. Thus they will all benefit from each others requests.

2. End of queue requests. When you reach the end of the queue, MSPE can retransmit a hole list. This refreshes the hole list that the satellite holds for you, and takes into account any holes that may have been filled from other stations requests. The random hole requests also benefits from this.

3. Requested file checking. MSPE makes some basic checks to try and decide if another station is currently downloading the file you want. If that is the case, then MSPE will look for another file with the same download priority that is not being requested. If no other files with the same priority are found then the oldest file with that priority will be requested.

4. File completion detection. MSPE will detect when the file (or Directory) that you are filling is complete, even if you remain in the queue. If you fill the file through other stations requests, MSPE will request a new file without waiting for your call to leave the queue.

5. Files have priority over directory. When MSPE is requesting he directory, if it receives a directory entry for a file that your station requires, MSPE will instantly request that file, even though you are still in the queue. You will continue to fill the directory through the requests from other stations.

Automatic selection of download file can be overridden using the manual fill and selection the Auto Override box.

File uploading is prioritised to allow smaller files to be uploaded first. There are however some situations when this will be overridden. See File Uploading for more information.


Missing image: bm17.wmf The OK button is used to acknowledge the contexts of a screen. If this is for a setup screen, the options will be saved to disk for future use.


Tracking Action

Tracking Satellite Action

From this screen you can perform various function on a satellite that GSC is currently tracking. The options are -:

Display on map

This will bring up the Map screen and will track that satellite. This is the default option

Enable Rotators

This will send a message to your rotator system to track that satellite.

Remove from list

This will remove the satellite from the tracking list in GSC.


You should enter the number of uplink channels that your station can automatically select in this box. This is used by the New Upload Protocol (NUP) and also the MSPE Auto Frequency Change feature to automatically selct uplink frequencies. If you cannot automatically change uplink frequencies, you should set this to 1.


Select this option to allow MSPE to send automatic fill requests to the spacecraft. Failue to select this option will result in MSPE not automatically downloading mail required by your station.


The DOS Path= statement is a list of used by DOS to search for files when it does not know where the file resides. Refer to your DOS Manual for more information.


Select this option to stop MSPE downloading files that you have uploaded.


All passes of this spacecraft whose elevation are below this minimum value will not automatically be processed. These passes will still be displayed in the schedule list but they will be displayed in a light get colour. You can manually use the edit schedule option if you wish to run a pass whose maximum elevation is below the minimum.


MSPE can automatically change uplink frequency if it does not receive a response to broadcast requests after this number of requests. Propper functioning of this feature requires a rotator/radio controller installed with WiSP.


Find Message

If you are looking for a specific message number, the Find Message function is used. Enter the message number (in Hexadecimal) into the input box and select OK.

If the message is currently selected for viewing then it will be displayed at the top of the page. If it is not selected then the information screen will pop up and display the information on the desired message.


Some rotator controllers can feed back the actual position of the rotator. If your controller supports this, selecting this option will display the actual position of the rotator on the GSC main screen instead of the calculated position.


Some satellites broadcast their keplerian elements to allow automatic stations to keep their tracking information up to date. Select this option to allow MSPE to use these broadcast keps to update the WiSP keplerian element database.


The satellite Type is used to give WiSP a better idea of the functions that are available for different spacecraft. For the PacSat spacecraft, ensure that you select PACSAT as otherwise some options (mainly housekeeping) will not be available. If you are just tracking the spacecraft out of interest or for telemetry capture (for example voice transponder spacecraft) you should select ANALOGUE.


The flip mode allows GSC to flip the elevation rotator over 180 degrees to avoid the azimuth stop position during a pass.


This is the size of the MSPE COM port receive buffer. It should be set to 32768 (32K) however if you are running MSPE on a slow computer there may be some benefit gained by increasing this value.


Download File Information

This gives you information on the file being download. To get this information, double click the left button of your mouse when the pointer is over the file you would like information on.

The current status of the file will be displayed. You can change the status by checking the Status radio buttons. If you check the Never option, the file will be removed from the download list in the MSPE main screen.

If you have View-Dir running, information may be provided on the Source, Destination, and Title of the file as well. View-Dir may also print the filesize. This means that event if MSPE has not yet received the filesize, you may be able to view it if View-Dir knows it.

You can also mark the status of the file using the Status radio buttons.

If you check the Send immediate fill request box, MSPE will automatically request a hole fill of the file.

Press the OK button to allow any status change you have made to take effect.

Press the Cancel button to cancel any changes you have made.


Event Notification

A pop-up window will appear before a satellite pass. The amount of time before the pass that the pop-up will appear can be set with the GSC General Setup screen. The pop-up displays information about the next pass.

If you have enabled the system sounds, they will also sound at the same time.

The buttons on the pop-up window perform the following functions

OK The pass will proceed normally. If you have Pass Checking turned on for the particular satellite, this will decide if the pass will run or not.

Cancel The pass will be canceled and the next pass for the satellite will be calculated.

Run The pass will run. If you have Pass Checking turned on for the particular satellite, it will not try and stop the pass.


If your TNC can use the SMACK protocol, you should check this option. Generally, checking this option will not cause any problems on most TNCs, however it may cause some TNCs trouble. If you have trouble with your TNC, uncheck this box.


Tracking

The Tracking screen allows you to select satellites that you want to track in real time. These satellites are displayed in the lower portion of the main screen.

The tracking interval is not fast, but it is sufficient to allow you to accurately follow the satellite (About one calculation per satellite every 10 seconds).

The selection you make will be saved and automatically loaded next time you start GSC.


If you wish to use your station as a satellite gateway, you should check this box.

NOTE: Satellite Gateways are coordinated by the satellite coordinator and you should not operate as a satgate unless this has been approxed by the coordinator.


You should enter the satellite name in this box. The name should be the same as that used in your keplerian element database as it is used to match up the keps for tracking.


Setting this option will allow MSPE to upload files to this satellite.


MSPE Auto Select Equations

The MSPE Auto Select Equations allow you to specify how a file will be automatically processed when its directory broadcast is received.

Note that you do not need to specify your callsign in the equations. Any messages to your call will automatically be downloaded with the highest priority.

There are six equations that can be specified. They are listed in order of decreasing priority.

PRIORITY Files that pass the equation will be marked for priority automatic download.

AUTO Files that pass the equation will be marked for automatic download.

AUTO1 Files that pass the equation will be marked for automatic download.

AUTO2 Files that pass the equation will be marked for automatic download.

AUTO3 Files that pass the equation will be marked for automatic download.

NEVER Files that pass the equation will be marked and never downloaded.

Filenames

You can have a different equation file for each satellite. The equation file name is MSPE.EQN. It should be located in the satellite directory. You can also have a default set of equations and these must be located in the WiSP Directory. If MSPE doesn't find an equation file in the satellite directory, it will use the file in the WiSP Directory. Most operators will probably only require one equation file, so you can just use the default set.

See Equation Format for information on writing equation files.


This sets the number of retries that MSPE will make while uploading files.


Program Setup

GSCs main menu has a Programs option. This can be used to launch other programs that are not directly related to the WiSP package. For example you may wish to run a telemetry decoder.

The programs that are listed in this menu can be set up in the Program Setup window. You can specify the Menu Title, Startup Directory, and Program Name.

Menu Title is the title of the program, and is what will be printed in the Programs menu.

Startup Directory is the directory that WiSP will change to before running the application.

Program Name is the command line for the program. You can include in here any command line perameters that may be required.


The BBC Callsign is the callsign used for uploading file to the spacecraft. This usually has an SSID of -12.


Use these checkboxes to select one of the downlink frequencies as the default.


Select this option to automatically close View-Dir when the pass ends.


MSPE can send an acknowledgement to the spacecraft once it has downloaded personal mail for your station. This allows the spacecraft to better manage the delivery of mail. This option is not enabled on most spacecraft.


You can alter the way that MSPE responds to the broadcast queue when requesting files when it is already downloading the directory. The options are -:

Don't interrupt dir MSPE will completely download the directory before starting to download files.

Interrupt dir for MY files MSPE will interrupt the directory request if any files addressed to your station are required.

Interrupt dir for ANY files MSPE will interrupt the directory request if any files are required.

Interrupt when not In queue When your station drops out of the queue, MSPE will start to download files if required.


You can enter up to 4 uplink frequencies in these boxes. They are used by some parts of the system to automatically select frequencies.


Select Displayed Timezone

The timezone that GSC displays the time in is switchable between local time and UTC. There are two ways to switch the timezone. One way is the GSC General Setup screen, the other is to double click the left mouse button when the mouse pointer is over the time display. It is then a simple matter of selecting which timezone you want displayed.


The Broadcast Callsign is usually the satellites call with an SSID of -11. This is the callsign that all downlinked broadcast files and directory entries are sent to.


If you want to limit the hours in which WiSP will automatically run passes, select this option.


About AMSAT

Missing image: bm15.wmf

AMSAT is an acronym for the Amateur Radio Satellite Corporation. It is a worldwide organization of Amateur Radio Operators and others who are interested in and communicate through Amateur Radio Satellites. AMSAT members are involved in the organization at all levels, from observing or operating through the satellites to participating in the design, construction and on-orbit "housekeeping" duties of the satellites.

As you can imagine, building and placing Amateur satellites into orbit is a very expensive proposition. Funding for these endeavors come from corporate and personal contributions, membership dues and donations received for the receipt of AMSAT publications and AMSAT software. It is through this latter item that AMSAT gets its largest funding. You are encouraged to join this organization and support it so that we may continue to enjoy this most fascinating area of our Amateur Radio interests.

AMSAT organisations around the world include AMSAT-UK (United Kingdom), AMSAT-NA (North America), AMSAT-DL (Germany), AMSAT-VK (Australia), AMSAT-ZL (New Zealand), AMSAT-F (France), and many more. All these organisations work together to provide satellite services to the amateur radio community. They can only do so with the support of those that use the services.

Radio Amateur Satellite Corp (AMSAT NA)

850 Sligo Ave

Suite 600

Silver Springs MD

phone 301-589-6062

fax 301-608-3410

internet: martha@amsat.org

AMSAT-DL e.V.

Holderstrauch 10

D-35041 Marburg

internet dj1km@amsat.org

phone 49(0)6421 283558

fax 49(0)6421 285665

AMSAT-UK

Ron Broadbent, G3AAJ, Hon Secretary

94 Herongate Road

Wanstead Park

London

E12 5EQ

England

phone 44(0)181 989 6741

fax 44(0)181 989 3430

cis 100024,614

AMSAT-Australia

G.P.O. Box 2141

Adelaide S.A. 5001

AUSTRALIA

Phone (08)2975104 Int'l 61-8-2975104

between 0800 and 1100UTC daily

AMSAT-ZL (New Zealand)

Contact: Jeff ZL1BIV (internet: zl1biv@amsat.org)


When your stations callsign returns to the end of the queue, MSPE action can be defined as one of the following -:

Send new request MSPE will send a new request. This updates the data that the satellite is presently holding on your requests and is the prefered option.

Randomly send request MSPE will randomly send a new request.

Nothing MSPE will not do anything until your station leaves the queue.


MSPE can make a KISS log of all received data during a pass. This is normally a very large file and if you select this option by default care must be taken to ensure that you do not run out of disk space.


Bugs

Please read the documentation before reporting bugs to ensure that you do in fact have a problem and not just a setting up error.

Please provide as much information as possible in order to assist with finding the problem. Important information is -:

Program which has the problem

Window within the program where the problem lies

Any configuration data relevant to the action you were performing

Possible sugestion as to solution (if applicable)

If you have a repetitive problem, it is helpful if you can include a DRWATSON.LOG file. This is generated by DrWatson, which is included with MS Windows. DrWatson runs in the background, and when there is an error will save information on where the problem occurred. When DrWatson pops up the information box, enter as much information as you can on your current configuration. i.e. How many programs are running, which WiSP programs are running, and possibly which order they were started.

All bug reports can be sent to G7UPN/ZL2TPO on packet satellite UO-22, KO-23 or KO-25, or via internet g7upn@amsat.org.

Any updates will be posted to the amateur satellites. Version numbers for all the programs can be viewed from the GSC About window, or in Explorer under the properties menu.

If you have any ideas that would help make this software even more useful, please let me know.


Missing image: bm16.wmf The Help button will give you context sensitive Online Help about the screen you are currently viewing


Once binary files are downloaded from the spacecraft, they are placed in this directory. This is the normal place that you will find executable program files once they are downloaded.


Contents

About the AMSAT Organisation

System Overview

Getting Started

Ground Station Control

Mail Processor

Message Maker

Microsat Protocol Engine

View-Dir

Message Viewer

Update Keps

WiSP-TLM

Running WiSP as a SatGate

Frequently Asked Questions

Registering Information

Bugs and Updates

Note: You can use the SEARCH button at the top of this screen to search for different topics.


Running ProcMail

This will process all DL files in the directory for the satellite that you select in the listbox.

Any errors that occur will be able to be viewed with the View ProcMail Errors option under the Housekeeping menu


Message Maker Setup

The setup screen for Message Maker is located under the Setup menu in Ground Station Control.

The following Message Maker setup options are available.

Copy original file

This is the default state of the Copy original file checkbox on the MsgMaker main screen when you are replying to a message. If you check this box, and you are replying to a message, the box on the MsgMaker main screen will also be checked. You can still enable/disable this function for each message each time MsgMaker runs.

Remove message source

Checking this option will remove the ASCII message source once the message has been sent. If you leave this option unchecked, your message file will be saved with the message name, but the extension will be changed to the day number. The file will be saved in the directory specified in the Save source directory option.

Save source directory

If you want to save your messages, you can specify a directory where they will be stored. The message will be stored as its original filename, but with the numerical extension of the current day of year.

Compression threshold

This is the threshold above which ASCII message files will be compressed. Raising this figure will save computer time because the compression program will not be required, but it will also waste space on the satellite. Please keep this reasonably low.

Signature File

A signature file can be attached to the end of your message. This file must be in the WiSP Directory and it must be a text file. The filename can be entered here. You can edit the signature file from within GSC using the Setup/Edit signature file option. A good name for your signature file could be your callsign with the .SIG extension.

Greeting

Message Maker will search a file called USERLIST.TXT to search for the names of the station(s) you are sending the message to. You can specify the greeting you wish to have placed before the names.

Message expiry time

This is the default message expiry time. The expiry time for each message can be adjusted from the main screen.

Editor Name

Enter the full path name of your favorite editor here. This will be used to edit the messages that you send. It will default to NOTEPAD.EXE.

Compression Type

This is the compression technique that you wish Message Maker to perform on your upload file if compression is required. The two types of compression are PKZIP and LHARC. Message maker runs a PIF file for each of these compression techniques. The PIF files must be in your WiSP Directory.

For -: PKZIP you need PKZIP.PIF

LHA you need LHA.PIF


Enter the name of the transverter in here. This is not used by WiSP but will appear in the listbox so you should choose a name that is recognisable by you.


If your transverter allows receive conversions, then you should check this checkbox and you must enter the Local Oscillator frequency in the box. The Local Oscillator frequency is the offset between the actual RF frequency and the IF input/output of the transverter.


If your transverter allows transmit conversions, then you should check this checkbox and you must enter the Local Oscillator frequency in the box. The Local Oscillator frequency is the offset between the actual RF frequency and the IF input/output of the transverter.


Message Maker Main Screen

The Main Screen is broken down into many different areas. All data should be checked BEFORE sending the message.

Missing image: bm19.wmf

Copy original file

If you are replying to a message, and the original message is available, you may wish to copy the original message into your reply. Tick this option if this is the case.

Compress upload file

This should normally be left as Message Maker sets it. Compression should occur under the following condition -:

When one or more files have been attached.

When the filesize of your message exceeds approximately 1K.

Some files should not be compressed. These are files that have already been compressed before. This includes GIF, JPG, ARC, LHA and ZIP files. If any of These filetypes are sent by themselves without another binary file or an attached message, compression should not occur.

Message Maker decides on compression using the above rules.

There are however times when the user may select no compression, but Message Maker will still compress the file. This should only occur when more than two files are to be sent. This is because you can not send more than one file without binding them together using the compression program.

Message information

The message information is the data that will be placed into the Pacsat File Header. All required data must be entered before sending the message.

The To: field should be entered before you edit the message if you want Message Maker to add the destination stations name to the message file.

Expiry Time

The expiry time (in days) can be adjusted before sending the message. Normally it can be left at the default which is set up on the Message Maker Setup screen in GSC.

Filetype

Missing image: bm20.wmf

You should check that Message Maker has made the correct selection of FileType. If it is incorrect, select the correct type before sending the message.

Send Once you have edited your message and/or selected the files you wish to send, and have checked all the PFH header information, press the Send button to send the message. This will create an OUT file in the satellite directory, ready for upload by MSPE.

Edit If you wish to send a message with your file, press the edit button. If you are replying to a message and have the Copy reply box ticked, the original message will be copied to your outgoing message. Also, if you have a Signature file, this will be appended to the message.

Attach You can attach up to 2 files to the outgoing file. Press the Attach button and you will open the Attach Files window.

Cancel This will cancel the current message and exit Message Maker.


This is the starting directory for the program. MSPE does not require this parameter.


Satellite Directory Setup

The directories that the system uses must be specified before running the system. If you don't set up ALL the required directories you will end up with files in funny places. The system will not know where to place files and will also not know where to find them when it wants them back.

If there is a type of file that you don't want (e.g. BBS files), you can specify a directory for every satellite that holds unwanted files. All you then need to do is periodically delete all files in this directory.

When entering directory names, specify full path names. This will stop any confusion that may arise. Also, all directories should be on the same disk drive as some functions will not move files between drives.

WiSP will create the directories if they do not already exist.

Directories can be specified with or without a trailing \. If your directory names end with a \ it will be removed by WiSP.

Directories are required for the following.

Satellite Directory This is the directory where all your active satellite files will be stored.

Message Directory All processed messages (filetype 0) will be stored in this directory.

My Messages Directory All messages (any filetype) addressed to your station will be stored in this directory.

Binary Directory All binary files (filetypes 6,7,12,13) will be stored in this directory after processing.

Keps Directory Any keplerian element files (filetypes 7,8) are stored in this directory after processing.

Image Directory Any image files (filetypes 14,15,16) are stored in this directory.

Log File Directory Log files are stored in this directory.

Unknown Directory File with an unknown filetype (filetype 255) are stored in this directory.

DLX Directory Once files have been processed, they are renamed to a DLX extension, and moved into this directory.

BBS Directory Any BBS files (filetype 1,2) are placed in this directory after processing.

A recommended directory structure is:

\WISP \KO-23 \BBS

\BIN

\DLX

\IMAGES

\KEPS

\LOGS

\MSGS

\MYMSGS

\UNKNOWN

\KO-25 \BBS

\BIN

.

.

.

For the Keps directory it is allowable to specify the same directory for all satellites. ProcMail has an option to ensure that only one copy of the keplerian element file is saved in that directory. This works well for keplerian files because they are generally uploaded to more than on satellite but have the same filename, and the same information. For further information on this option refer to the ProcMail Setup. Don't do this with other filetypes.


This is your station callsign. It is used by MSPE as the uplink callsign, and is also used by MsgMaker when generating messages.


Select this option to stop MSPE downloading SatGate file (Types 1,2,18). This should normally be selected and MUST be selected for SatGate stations.


Edit Keplerian Database

You can manually edit the satellite elements in the satellite database. This is not normally necessary except to enter the Beacon Frequency, Schedule and Attitude data, but may be required if you find the element set you are using has an incorrect field in it, or you find the satellite AOS/LOS times are slightly out.

The Beacon Frequency is entered in Mhz. It is used for calculation of the doppler frequency displayed in the Track portion of the GSC main window and also the Map screen.

If the Attitude information (Blon/Blat) is entered, then GSC will display a Squint Angle in the map information. If you don't want to display the attitude information, then you will need to ensure that there are no characters at all in these two boxes.

The Schedule box requires data to be entered in a specific format.... The MA must be entered with 3 digits, and the Schedule line must start with an MA number (usually 000). Up to 5 characters of mode information can be entered between each MA value. The mode information can not include any digits. Up to 64 characters can be entered in the schedule.

eq. For AO-13, the transponder schedul may be.....

Mode-B : MA 30 to MA 150 | <- OFF

Mode-B : MA 150 to MA 190 |

Mode-BS : MA 190 to MA 218 |

Mode-S : MA 218 to MA 220 | <- S beacon only

Mode-S : MA 220 to MA 230 | <- S transponder; B trsp. is OFF

Mode-B : MA 230 to MA 30 | Alon/Alat 230/0

Omnis : MA 250 to MA 140 |

You may enter a mode schedule like....

000B Om030OFF150B190BS218S Bec220S230B250B Om


Edit Schedule

From this screen you can change the priority, and AOS/LOS times for a pass. To get to this screen, just click on the pass that you wish to edit on the main GSC window.


View Directory Main Screen

The View-Dir main screen displays the satellite directory. At the top of the screen is a toolbar that provides easy access to commonly used functions. These functions are also available via the menu.

Mouse Functions

To select a file, click the left mouse button while the mouse cursor is over the file you want to select.

To view a file, double click the left mouse button while the mouse cursor is over the file you want to view.

To view file information, click the right mouse button. This will show information on the file that is currently selected, not the file that is under the mouse cursor.

To reply to the current message, click the middle mouse button. This will reply to the file that is currently selected, not the file that is under the mouse cursor.

Message Status

The status of a message is displayed as a single character under the S column. The characters represent the following

M Mine This is the highest priority message and will be downloaded before any other files.

P Priority

A Auto Download

1 Auto Download 1

2 Auto Download 2

3 Auto Download 3

g Grab

D Downloaded

N Never Download

Toolbar Button Explanation

Missing image: bm23.wmf Refresh the display.

Missing image: bm24.wmf Mark the message for PRIORITY download.

Missing image: bm25.wmf Mark the message for AUTO download.

Missing image: bm26.wmf Mark the message for AUTO1 download.

Missing image: bm27.wmf Mark the message for AUTO2 download.

Missing image: bm28.wmf Mark the message for AUTO3 download.

Missing image: bm29.wmf Mark the message for GRAB.

Missing image: bm30.wmf Mark the message for NEVER download.

Missing image: bm31.wmf Write a message. This will run MSGMAKER.

Missing image: bm32.wmf Read the current message.

Missing image: bm33.wmf Reply to the current message. This will run MSGMAKER.

Missing image: bm34.wmf Save the current message to disk.

Missing image: bm35.wmf Delete the current message and any associated ACT and HOL files.

Missing image: bm36.wmf Search for messages.

Missing image: bm37.wmf Display HELP.


Enable Rotator

GSC reads the TrakBox satellite database into memory and displays a listbox with all the available satellites that you can track. Select the satellite you want by either double clicking on top of the satellite name, or selecting the satellite name and pressing OK.

For rotators that don't hold their own satellite database (eg. Level 1 drivers), GSC will present you with the list of satellites that is in its own database.

To disable the rotator, select [NONE].

The satellite will be selected for tracking and the rotator will be enabled.


Equation Format

All text in the equation file is case insensitive and tabs, spaces, carriage returns etc. can be inserted if you wish to make the file more readable.

At this stage, you MUST HAVE A SPACE SEPARATING EACH FUNCTION. This is a bug that I will fix at a later date.

Each equation must follow the following format.

[EQUATION NAME]

{

EQUATION

}

EQUATION NAME is one of the three names specified above.

Each equation must be made up with a keyword, an operator, and an operand.

Valid keywords are -:

Name Type Explanation

destination Text The text in the TO field

source Text The text in the FROM field

title Text The text in the TITLE field

keywords Text The text in the KEYWORDS field

filesize Number The filesize of the file

filetype Number The filetype of the file

Two additional keywords are available in View-Dir. These are -:

percent Number The percentage of the file that has been downloaded.

status Text This is the current status of the file. It can be defined any of the following values. Case is insensitive and no quotation marks are to be placed around the words. Valid values are -:

downloaded The file has been downloaded

auto The file is marked for auto

auto1 The file is marked for auto1

auto2 The file is marked for auto2

auto3 The file is marked for auto3

never The file is marked to never download

priority The file is marked for priority download

mine The file is addressed to your station

The use of this keyword in MSPE will cause an error.

Operators are the operation that is performed. Some operators are only permitted with specific keyword types.

Valid operators are

Name Types Explanation

= Text, Number Equals

!= Text, Number Not equal

< Number Less than

> Number Greater than

Text operands must be placed between double quotes i.e. ".

Numerical operands must be in decimal notation.

Each equation can be linked to another equation with a logical operator.

Valid logical operators are -:

Name Explanation

& Logical AND. The resultant answer will be True only if the answer of both equations is True.

| Logical OR. The resultant answer will be True if the answer from either of the equations is True.

Brackets can be placed in the equation to ensure that the equation performs the function that is required. A maximum of four levels of brackets can be used at one time.

Do not use brackets unless they are required. Over use of brackets will require extra processing time and consume more memory.

EXAMPLE

[auto]

{

(destination = "ALL" & filesize < 25000) |

title = "dsp"

}

[priority]

{

title = "DX"

}

[never]

{

filetype = 2

}


The top left of the screen displays the progress of files being downloaded. There is one line per file and up to 10 files will be displayed (the actual amount depends on the size of your MSPE window). This line is displayed as follows -:

<FILENUMBER> <HOLES> <PERCENT COMPLETE> <FILESIZE>

Double clicking in a file status box when it is displaying information will pop up a file information screen.


Frequently Asked Questions

Q: How do I disable a satellite without deleting it altogether?

A: To stop GSC from running passes from a particular satellite, without deleting that satellite altogether, all you need to do is change that Status option to Display or Disable in the Satellite Setup.

Q: When ProcMail runs, I have to click on the PKUNZIP icon before it will complete.

A: Make sure that you have the Background Execution box checked in the PIF file.

Q: When ProcMail runs, I get an error message stating that 'ProcMail can't change directory'.

A: Go into the Satellite Setup screen, and press the Directory button. Then press the OK button. This will create all the directories that ProcMail requires.

Q: How do I disable the rotator once it is running?

A: From GSC, select TRACKING | ENABLE ROTATOR, and then select [NONE] in the listbox.


PIF Files are Program Information Files. They are used to provide Windows with information on how a DOS program will want to operate under Windows. Refer to you Windows Manual for more information. The PIF files that come with WiSP should be edited to confirm that the filename is correct.

NOTE: Ensure that there is nothing entered in the Start-up Directory box, and that the Background box is checked.


PACSAT Filetypes

Filetypes are used on the Packet Satellites to help with processing the file once it has been received. Incorrect selection of the file will cause problems for the receiving station, and may possibly corrupt the file.

Filetypes currently allocated are

0 ASCII Text message.

2 Bulletin Board Satellite Gateway Files

3 UOSAT whole orbit data

6 MSDOS EXE file

7 MSDOS COM file

8 Keplerian elements - NASA format

9 Keplerian elements - AMSAT format

12 Binary file(s).

13 Multiple files, all ASCII text

14 Picture file - GIF format

15 Picture file - PCX format

16 Picture file - JPG format

17 Confirmation Message

18 Multiple destination SatGate files

19 Internet forward files

200 Config. files U/L from command stations

201 AL FTL0/PB activity logs

202 BL Broadcast logs

203 WD whole data logs

204 ADCS logs

205 TDE data

206 SCTE data

207 Transputer logs (including EISLOG)

208 SEU logs (ELTLOG)

209 CPE files (UO3)

210 Battery charge logs

211 Image files

212 PL* (SPL Logs)

213 CU* (PCT Log Files)

214 PC* (PCT Command Logs)

215 Quick look image files

221 CCD Image files (KO23)

222 CPE Result files (KO23)

255 All others not fitting in the above


File Uploading

MSPE uploads file while it continues to download files, request broadcasts etc.

The order in which files are uploaded is prioritised. The priority is something like this....

PUL files older than 2 days

PUL files less than 20KB

OUT files older than 2 days

The smallest PUL or OUT file

This order should ensure that small files that are sent in between passes where a large file is being uploaded, will be sent before the continuation of the partially uploaded file (PUL). If however the PUL is getting old, it has higher priority. This is to try and get that file up to the satellite before the satellite deletes the file.


Getting Started

The WiSP Package is a large software package and requires many files to run. These files are supplied in ZIP compressed files. Before the program can be run, all files must be decompressed and placed in the appropriate directory.

The following is a list of supplied files, and the directories in which they should be placed.

File Directory Notes

GSC.EXE WiSP Directory

DISPHOLE.EXE WiSP Directory

LHA.PIF WiSP Directory

MSGMAKER.EXE WiSP Directory

MSGVIEW.EXE WiSP Directory

MSPE.EXE WiSP Directory

PKUNPAK.PIF WiSP Directory

PKUNZIP.PIF WiSP Directory

PKZIP.PIF WiSP Directory Only required if you select ZIP as your compression technique in Message Maker.

PROCMAIL.EXE WiSP Directory

UPDKEPS.EXE WiSP Directory

VIEW-DIR.EXE WiSP Directory

WISP.HLP Windows Directory

WISP.OBS WiSP Directory

WiSP-TLM.EXE WiSP Directory

The Windows Directory is the directory where all your windows files are located.

The WiSP Directory is the directory where you place all your WiSP program files. It is also defined in the setup screens.

The WiSP Directory should be added to you DOS PATH statement. The PATH statement is normally located in your AUTOEXEC.BAT file.

After making the above system changes, you should restart your computer to allow the changes to take effect.

Once all the above is set up correctly, you may want to add a WiSP Group to the Start Menu.

All the PIF files that are supplied as part of WiSP may be edited to ensure that the filename and directory that the PIF file will execute is correct. This is not necessary so long as the EXE files are in a directory that is in your PATH, but if you put the full path name to your EXE files, it will speed up the running of these files. To do this, from Explorer, right click on the PIF file and select Properties. Then select the Shortcut tab to view / edit the program parameters.

It is then best to run GSC and go through all the setup screens. As you look at each new setup screen, press the Help button to get information on how the different options will affect your system. Before the system will work correctly with your system, you must setup Station Setup, Satellite Setup, and Satellite Directory Setup. Following this, you should reload the GSC Keplerian element database using the DATABASE/UPDATE SATELLITE DATABASE option.

Once GSC is running, it is possible to obtain further ONLINE HELP using the help options and buttons in the program. You can also search for topics in the help system. For example to get a list of all setup screens, search for SETUP.

WiSP-TLM requires a number of setup files. These have the CFG, PAG, LIM extensions. They should be placed in the WiSP Directory

See Registration Information for information on registering your copy.


Ground Station Control General Setup

The main purpose of this setup screen is to select the program scheduling timing perameters, and some system wide setup options.

The timing perameters should be set up such that they occur in a certain order. Failure to do this can cause problems, mainly when programs overlap. As decisions are made as to whether a pass will run or not at the time that MSPE runs, this should be the first event to run. Only the Popup Time should be longer than the Time before pass to run MSPE.

Send message before pass

Checking this box will enable a pop up message box to appear before a pass advising that a pass is approaching.

Time before pass to send message

If you have enabled the above option, then this option sets the time before a pass that the message box will appear.

Number of days to schedule

This is the number of days that GSC will schedule satellite passes for. The scheduled passes will be listed on the main screen, and can be edited.

Display running satellite on map

If this box is checked, then when GSC runs a scheduled pass, it will change the satellite that the map is currently tracking to the satellite that is being tracked.

Timezone

This is the default timezone that the GSC on screen clock will display the time in and also the timezone that the schedule list displays the time in.

GSC uses the Windows timezone setup to work out the difference between UTC and your local time. Ensure this is set correctly or you may have a problem with time

WiSP Program Directory

This is the directory where all the WiSP system files are located. This includes the EXE files and the equation files.


Those controllers that operate over a communications port must select the port here.


This is the type of rotator controller that you have connected to your computer. The controller is what WiSP talks to to actually move the rotator.

Possible selections are -:


MSPE Setup (GSC)

MSPE Setup

The following general options are available to setup MSPE.

Satellite Change

MSPE can automatically change satellite depending on what it receives on the downlink. This option is not really necessary if you are running the system with GSC as it will schedule the required passes and start MSPE with the correct satellite loaded. The options are as follows -:

Auto

MSPE will automatically change satellite after it has received three frames from the same satellite. This will change satellite just as though you had performed the change manually.

Manual

MSPE will not automatically change satellite. You must change manually.

Ask First

Once MSPE has received three frames from the same satellite, it will ask you if you want to change satellite. Select OK to perform the change.

General

Maximise upload pop up

When file uploads commence, a status window will appear if you have this option ticked. If you don't tick this option, and you want to view the status window, double click the left mouse button when the mouse cursor is over the U in the bottom right of the main screen. The U will only be present when an upload is taking place and you don't have the status window active.


This button will open the rotator controller specific setup screen (if available).


Select the speed of the communication port here.


The Telemetry File is the configuration file for a telemetry program (such as WiSP-TLM). You should enter the full path and filename into this box.


Graphic Tracking

GSC Graphic Tracking

The graphic map screen displays a map of the world and plots the satellite position and its associated circle of visibility.

The SSP for the Sun is shown as a black * and the Sun Terminator line is shown in black.

If you double click the left mouse button over the map screen, it will place an observer in the observer for this location.

If you hold the right mouse button over the map, it will give you the local time in the place that the mouse cursor points to. Note that this is an approximation only. It could be an hour or so out, especially if daylight time is in effect.

Command keys valid while in the Map Screen

F Will cause the display to fast forward. The time will increment at a rate of 100th of the orbital period. You can change the direction of the stepping using the B key. Pressing the F key again will return to real time tracking.

D Will change the direction of the stepping while in Fast mode.

P Will PAUSE the display. You can also use the SPACE bar.

While in fast forward mode, you can press the up arrow, and down arrow keys to speed up or slow down the step speed.


Ground Station Control

Ground Station Control (GSC) provides housekeeping, scheduling and setup functions to provide full automation of the station.

Other WiSP programs can be run from GSC, equation files can be edited, logs viewed files deleted etc.

Station Setup and Satellite Setup must be complete before GSC will schedule correctly. Also, the Ground Station Control General Setup will need to be checked to ensure that the scheduling setup is optimised for you station.

The hardware real time clock is used to update the DOS clock every hour to keep your system time correct.

From the main screen, you can use the mouse for the following functions -:

Right clicking on the schedule will allow you to edit the line you have clicked on. You can change most of the pearmeters for a pass, or you can delete the pass altogether.

Right clicking on the tracking portion of the screen will provide a prompt to carry out certain functions on the specified satellite. This includes moving the rotator, tracking the satellite on the map, or removing it from the tracking list.

ToolbarButtons

Missing image: bm1.wmf Invoke MsgMaker to create a message.

Missing image: bm2.wmf Invoke View-Dir to view the directory.

Missing image: bm3.wmf View the world map.

Missing image: bm4.wmf Enable the rotator.


View Upload Status

View Upload File Status

This screen gives you a list of all OUT, PUL, PNL, UL, and ULX files in a satellite directory.

Delete Press this button to delete the file you have highlighted in the listbox.

Copy Press this button to copy the highlighted file to another satellite.


View Directory Setup

The following View-Dir set up options are available -:

Maximum PFH files to load

View-Dir will stop loading directory entries into memory when it has loaded messages from X number of PFH files. Don't set this too high as it will increase the time required to load the program. This should be set in conjunction with Maximum messages.

Maximum messages to load

View-Dir will stop loading messages into memory when it has loaded X number of messages. Again, don't set this too high as it will increase program start time.

Mark files NEVER after deleting

When you delete a file, you can have View-Dir mark the file to Never download. This is especially useful if you are deleting half completed files, as the ACT and HOL files are deleted, and the file will not be downloaded again.

Load BBS messages into View-Dir

You can elect not to load BBS messages (filetypes 1 and 2) into View-Dir. This will decrease the number of files loaded on some satellites, and thus lower the memory used. Files address to your station will still be loaded regardless of whether they are BBS files or not.

Confirm message deletion

Normally View-Dir will require you to confirm each message deletion. You can override this by deselecting this option.


This help file was created with the free trial version of HelpScribble

HelpScribble - The Complete Help Authoring Tool

This help file was created with the free evaluation version of HelpScribble. This ad and the little footers below each topic will be automatically removed when the author recompiles this help file with the full version of HelpScribble. HelpScribble can be purchased securely online and is covered by a risk-free 90-day unconditional money-back guarantee.

About HelpScribble

HelpScribble is a full-featured, easy-to-use help authoring tool for creating help files from start to finish. You can create WinHelp (.hlp) files, HTML Help (.chm) files, a printed manual and online documentation (on a web site) all from the same HelpScribble project.

If you have previously used another help authoring tool, you can reuse your work by importing the HPJ+RTF files created with the other tool or by a decompiler.

You can use the help files you make with HelpScribble to provide context-sensitive help with your Window applications, no matter which development tool you use. You can also use HelpScribble to create stand-alone portable documents.

Write Perfect Help Files for Your Software

You need HelpScribble to create a top quality help file for your software. Windows users expect to receive detailed documentation at a quick press of the F1 button. You will sell more copies of your software if a thoughtful help file flattens the learning curve for prospects trying the evaluation version of your product.

No matter which development tool you are using, you can always use a help file created with HelpScribble to provide context-sensitive help for your application.

If you know how to use a word processor, you can build a help file with HelpScribble. Creating new topics and adding links to them cannot be easier. No experience required.

Read more...

Portable Documents with Hyperlinks

With HelpScribble you can easily create hyperlinked documents that can be read on any computer running Windows.

The WinHelp files that you create with HelpScribble are a collection of linked pages, just like a web site. But unlike a web site, you only need to distribute one file. This file can be read on any Windows computer. No other software is needed.

You need absolutely no programming experience to use HelpScribble. Many word processors and HTML editors are more complicated than HelpScribble.

Read more...

The Complete Help Authoring Tool

HelpScribble is a full-featured stand-alone help authoring tool. It is not an add-on for MS Word like so many other help writing products. You can create the entire help file right within HelpScribble.

With HelpScribble you can even provide your documentation in several forms, all from the same source. You can add context-sensitive help to your application, print a manual and provide online documentation on your web site.

WinHelp

WinHelp is the help file format supported by all versions of Windows. It is fast, compact and supported by Windows 3.x, NT 3.x, 95, 98, ME, NT4, 2000 and XP. All Windows users are familiar with it. With any Windows development tool you can use WinHelp files to add context-sensitive help to your applications.

With HelpScribble you have all the functionality you need to build a complete help file, including table of contents, index, browse sequences, etc. With HelpScribble's SHG (image map) editor, you can make your pictures (screen shots) say more than a thousand words.

Read more...

Printed Manual

Reading from paper is a lot easier than reading from a screen. A printed manual or, for downloadable software, a printable manual in PDF format, adds greatly to the value of your product.

You can use your HelpScribble project as the basis for your printed manual. You can export your help text to one large RTF or HTML file that you or your DTP professional can turn into a finished manual using a word processor or DTP program.

Read more...

HTML Help

With Windows 98, Microsoft introduced a new help file format called HTML Help. Using HelpScribble, you can build classic WinHelp .hlp files and new HTML Help .chm files from the same source. You decide whether you want maximum compatibility with older computers, or if you want to offer a state of the art help system.

Read more...

Web Help

If you want to provide online documentation, you can create one large HTML file or a collection of HTML files from your HelpScribble project and upload those to your web site. Your customers will have instant access to the latest documentation at any time.

Read more...

Cross-Platform Help

If you are developing platforms such as Linux, where there is no standard help format, you can provide your documentation as HTML files. The user can easily view those files in a browser. If you use Kylix, you can even easily integrate them into your application.

Read more...

Number 1 Help Tool for Delphi & C++Builder

You can use HelpScribble no matter which development tool you use. Even if you use no development tool at all. (Stand-alone help files can be very useful.) But if you are a Delphi or C++Builder developer, you will certainly appreciate the way HelpScribble integrates with your favorite development tool.

HelpScribble's HelpContext property editor takes most of the tedious job of assigning Topic IDs to HelpContext properties out of your hands. Adding context-sensitive help to your application could not be easier. Simply click on the corresponding controls and help topics to link them.

Delphi developers like HelpScribble so much that it won the Delphi Informant Readers Choice awards three years in a row. In 1999, 2000 and 2001, HelpScribble was chosing the Best Help Authoring Package, beating well-known tools such as RoboHelp and ForeHelp.

Read more...

Do Not Take My Word For It

I could rattle on all day about how great HelpScribble is. But do not take my word for it!

Find out what the people say about HelpScribble before you decide to buy.

Chris Kryza

"Just wanted to let you folks know that you have created a very, very, very nice product! The last time I had to generate a context sensitive help file I used Doc-To-Help and I remember it took me weeks to get it right. With HelpScribble I was able to put together a complete help system in under 2 days and I then created a web-help deployment of same in seconds. I used your demo version to create the entire project and then purchased your product online after I saw how good it all looked. Great stuff!"

Roj Ash

"I just felt I had to compliment you on this product. I have no experience of producing Help files, and having evaluated a number of products, I was beginning to believe that a mere programmer had no chance whatever!

"I am not only making good progress in producing the Help for our product (which is usually used by **very** inexperienced users), but I'm actually enjoying it!

"Thanks for a great product."

Try the Free Evaluation Version Today

HelpScribble is an excellent help authoring tool. But do not take my word for it! Take a look at the self-running online demos or download the free evaluation version and see for yourself.

Convinced? Buy HelpScribble now!


Select the downlink mode from this selection.


Once downloaded files have been processed, any ASCII message files (Type 0) are placed in this directory for viewing.


This is the number of SECONDS before AOS that GSC will run the requested program for this satellite. Don't make this too large as it will effect performance with overlapping passes.


Pass Checking allows GSC to decide if a partcular pass is required. It looks to see if there are files to upload, files to download, and if the directory is up to date. If there is nothing to do, then the pass can be aborted. Select this option to enable Pass Checking.


Click here to delete the highlighted transverter.


You can set the priority for requesting directory entries. MSPE will download all files with priority values above this setting before it downloads the directory.


Message Maker Get Name

MsgMaker Get Name

When you address a message to a station whose name is not in the name database, MsgMaker will prompt you to enter the name of the station operator. This will then be stored in the text file USERLIST.TXT which is in the WiSP Directory.

The name can not include any tabs or exclamation marks (!).

You could also specify no greeting in the MsgMaker Setup, and then put the greeting in when you enter the name. This way you could have a different greeting for different stations.

If you already have the USERLIST.TXT file that JA6FTL produces, you have 3 options.

1. Do nothing. MsgMaker will append new entries to the end of the USERLIST.TXT file. This should work fine, but will get a bit messy. Also, when JA6FTL publishes a new file, you will not be able to directly copy it across as you will loose the additional entries that you have made.

2. Rename the original USERLIST.TXT file (e.g. USERLST.TXT) and start fresh with the new file. This means that for the first few days you will be entering a lot of names when you first send messages to stations, but this will decrease as the names are added to the file.

3. Edit out all of the unused text from the original USERLIST.TXT file to leave just the CALLSIGN and NAME (separated by a space) in the file.


This is the baud rate the you run your TNC to PC connection. Normally this should be at least twice the rate that is used for the TNC to spacecraft link. ie. If you are using a 9600bd spacecraft, you should run your PC to TNC link at 19200 or higher.


If you are using an downlink transverter you should enter the IF of the transverter in this box. WiSP uses this to calculate the correct frequency to set the radio.


You can have MSPE set your computers time from the time received from the satellite. Ensure that if you have selected this option with a particular satellite that the time is always correct on the spacecraft or your PC will end up with an incorrect time.


This is the highest frequency that your transverter can accomodate.


Edit Observer Data

Edit Observer Database

You can add, delete or edit cities and stations from the Observer Database.


Message Maker

Message Maker provides the user with a method of sending files to the satellite. You are required to enter the appropriate header information, and select a target satellite before sending the file. A file can be either a standard message, or it can be a binary file, or a message can be sent with binary files attached.

When the program starts, the Main Screen is displayed. All data should be entered and checked on this screen before the file is created. If you want to attach binary files, press the Attach button. Presently up to 2 files can be attached.


Message Viewer

Message Viewer is a very simple program used to view downloaded messages. It simply displays the messages on the screen, and provides the user with three option buttons. These buttons allow the user to Delete the message, Reply to the message, or simply accept the message and exit Message Viewer (OK).

Missing image: bm7.wmf This exits MsgView. The message will not be deleted.

Missing image: bm8.wmf This will run MsgMaker to allow you to reply to the message you are viewing.

Missing image: bm9.wmf This deletes the message, and exits MsgView.

Missing image: bm10.wmf You can print the message using this button.

Missing image: bm11.wmf This will save the message to a disk file. You will be prompted for the filename.

Missing image: bm12.wmf This button copies any highlighted text to the clipboard.

Missing image: bm13.wmf You can select the font that MsgView uses for its main screen.

Missing image: bm14.wmf This sets up the margins for printing.


Microsat Protocol Engine

MSPE (Microsat Protocol Engine) is used for simultaneous uploading and downloading of files and directories to and from a Microsatellite using the FTL0 file transfer protocol.

Help is available on the following topics

General Overview

General Setup

TNC Setup

Station Setup

Satellite Setup

MSPE Auto Select Equations


MSPE COM Port Setup

Communications Settings

This screen allows you to set up all the communications perameters for use with MSPE. Using this screen, you can make a number of different setups and save them as a meaningful string. You must then use the Satellite Setup screen to tell MSPE which set of communications perameters to use with different satellites.

This allows you to have different COM Ports, with different TNCs and select them for different satellites. For example, you may have a 1200bd modem on COM1 with a TNC2 TNC, and a DSP modem on COM2 for use with other satellites.

Config Name

This is the name of the settings that you are editing. Make this something meaningful, such as 'TNC2 on COM1', or 'DSP12 - 9600'. You need to easily be able to recognise a set of perameters from the name when you are setting up a satellite.

The list of settings that you have already defined is available in the listbox.

TNC Settings

Retry Time

This is the amount of time that MSPE will wait between sending successive retries. If the maximum number of retries is exceeded then MSPE will disconnect the link.

Maximum retries

This is the maximum number of retries that MSPE will make without an acknowledgment from the satellite, before it will disconnect the connection.

MaxFrame

This is the maximum number of frames that MSPE can transmit before it requires an acknowledgment from the satellite. It can be set between 1 and 7. A good compromise for this setting is 3 or 4.

TX Delay

This is the time that the TNC will delay sending of data after the start of transmissions. This should be long enough to allow the satellite to lock on to your signal before you transmit data to it. Also, your transmitter may need time to stabilise after the PTT is actuated. For most modern radios, this should be in the order of 150 to 200ms.

TX Tail

This is the time that the TNC will continue to hold the PTT line on after data has stopped being transmitted. This should be kept to around 30ms.

Packet Length

This is the number of data bytes transmitted in each packet. It can not be set above 255 bytes due to limitations in the AX-25 protocol.

Test for SMACK TNC

SMACK is a protocol very similar to KISS, but it has a CRC appended to the packet. Normally you can leave this option selected and it will not cause any problems. However, on some TNCs, WiSP can be confused and it can switch into SMACK even though the TNC isn't capable of SMACK. In this case, you will receive no data. Turn this option off if you have problems.

Port

Port

You can select from COM1 to COM4. The port addresses and interrupts that are used can be set up using Control Panel's Ports option.

Speed

This is the speed that MSPE communicates with your TNC. It does not effect the communications speed with the satellite.

Buffers

The size of the Com port buffers can be selected up to a maximum size of 64k.

TX Buffer Size There is no need for this to be set very high. 2048 bytes should be perfectly adequate for most stations at 9600bd. It must be set to a value higher than 2 x MaxFrame x PacLen bytes. If it is set to a value lower than this, your uplink speed will be compromised and you could loose some packets. MSPE will give you an error message if this happens.

RX Buffer Size The receive buffer may need to be changed to suit your computer. It may be necessary to set this to a reasonably large value. The reason for this is that when programs such as ProcMail are running, or View-Dir is loading, MSPE can not process data that is being received from the satellite. There must be enough space in the buffer to allow a few seconds worth of data to be accumulated. MSPE will process all the data as soon as it has control back. I have this value set to 32767. This is the maximum size possible.

TNC Type

Select the type of TNC that you have from the types shown in the combobox. If your TNC is not listed in the box, then you should probably select TNC-2.

DSP Mode

If you have a DSP modem, then you can enter the name of the mode for use with these settings.


MSPE Manual Fill

Select either Fill File or Fill Directory. With Fill File you must enter the file number of the file you wish to fill. You can also bring down the listbox and select a filenumber form the list of files that your system has selected for automatic download.

The fill request will be sent immediately when you press the OK button.

If you tick the Auto Override box, MSPE will continue to fill this file until it is complete.

Press Cancel to ignore the action.


MSPE Main Screen

The MSPE Main screen displays information on the status of downloads and uploads during a pass, as well as information received from the satellite.

The screen is broken down into areas. Each area displays different information.

Double clicking in a file status box when it is displaying information will pop up a file information screen.

Information Display

The top right of the screen is the information area. This window scrolls program information and status.

Text Display

Text transmissions that are received by MSPE are scrolled in the area below the Download File and Information displays.

Status Display

Program and satellite status is displayed at the very bottom of the window.

Missing image: bm0.wmf

The top line -:

The top left box displays the PBLIST frame sent from the satellite.

The top right box displays the BBS Status frame sent from the satellite.

The bottom line -:

The first box displays the directory status.

The second box displays the Auto status.

The third box displays the current received percent efficiency.

The fourth box displays the total number of bytes received from the satellite.

The fifth box displays the number of directory bytes received from the satellite.

The sixth box displays the number of bytes received in broadcast files.

The last box displays a 'U' when an upload is in progress.

Double clicking in the upload status box when it displays a 'U' will pop up the upload file information window.


MSPE Select Satellite

Select the satellite that you wish to receive. MSPE will set up the callsigns etc. that you have entered in the Satellite Setup screen.


MSPE General Setup

The following general options are available to setup MSPE.

Inactivity timeout

This sets the length of time after MSPE stops receiving data, that it will automatically exit. Set to 0 if you wish to disable this feature.

Note also that MSPE can also be closed by GSC at the end of pass time. This option is set up with the GSC General Setup. For unattended operations it is recommended that you set this to 0 and let GSC close MSPE.

Up to date timeout

This sets the length of time after MSPE becomes up to date, that it will automatically exit. When there are no more uploads to complete, no more downloads to request, and the directory is up to date, MSPE will exit in X minutes. This feature should be used with caution because you may waste valuable satellite broadcast time. If you find you are marking a lot of files for download that the MSPE equations don't select, then you probably shouldn't use this option. Set to 0 if you wish to disable this feature.

Processing thresh X b

MSPE can automatically process messages as they are received during a pass. This option sets the maximum size of files (in bytes) that will be processed during the pass. This should be kept reasonably small. Larger files are usually binary files and therefore aren't normally required to be processed during a pass anyway. The larger this perameter is set the more files will be processed, and the more computer time will be spent processing files. If your computer is not powerful enough, you may end up with overrun errors on the Com port. This can be viewed with the Information option under the Help menu.

Satellite Change

MSPE can automatically change satellite depending on what it receives on the downlink. This option is not really necessary if you are running the system with GSC as it will schedule the required passes and start MSPE with the correct satellite loaded. The options are as follows -:

Auto

MSPE will automatically change satellite after it has received three frames from the same satellite. This will change satellite just as though you had performed the change manually.

Manual

MSPE will not automatically change satellite. You must change manually.

Ask First

Once MSPE has received three frames from the same satellite, it will ask you if you want to change satellite. Select OK to perform the change.

Uploading

MSPE will normally upload files automatically when the satellite BBS is Open. If you want to stop uploading files, select Disabled. Normally you will have uploading Enabled.

General

Print headers

As each frame is received from the satellite, you can print the header in the Text area.

Maximise upload pop up

When file uploads commence, a status window will appear if you have this option ticked. If you don't tick this option, and you want to view the status window, double click the left mouse button when the mouse cursor is over the U in the bottom right of the main screen. The U will only be present when an upload is taking place and you don't have the status window active.

Log KISS frames

This is the default status of KISS logging. If you want to log all data received from the satellite by default, check this option. You can change the option during a pass using the File/Log KISS menu option. KISS logging will capture data to a file with the name of the date and extension of KSS.

Log Telemetry frames

This is the default status of Telemetry logging. If you want to log all telemetry received from the satellite by default, check this option. You can change the option during a pass using the File/Log Telemetry menu option. Telemetry logging will capture data to a file with the name of the date and extension of TLM.

Load View-Dir at start of pass

This option will load View-Dir at the start of a pass. This option is not recommended for unattended stations but may be useful for attended operation.

Automatically select U/L freq.

MSPE can attempt to automatically select a clear uplink frequency before you start uploading a file. This is worked out by checking the Open 12a message that the satellite sends.

Grab all heard files

With this box checked, MSPE will grab any files it has heard on the downlink. If you turn this off, you will only receive files that you have selected. Turning this on is more efficient, but will use a lot more disk space.

Block ALL BBS files

This option is specifically for BBS Gateway stations, but user stations may also wish to use it. With the option selected (ticked), you will only download BBS files (filetypes 1 and 2) if they are already present in your download files list. This means that you will only download BBS file when you have requested them.

AOS Upload delay

This is the number of Open frames that the satellite sends before MSPE will attempt to connect to the satellite. This is to allow the satellite to gain sufficient elevation, and thus signal strength, before uploads commence.

Run ProcMail at end of pass

This option will automatically run ProcMail at the end of a pass. You would normall do this to process all mail received during a pass


MSPE TNC Setup

Since MSPE uses its own internal TNC code, perameters that you have your TNC set up with will not work with MSPE, so you must set up MSPE to act like a TNC.

The changes that are made in this screen will not be saved to disk. If you want to make permanent changes for a particular satellite, or series of satellites, then you must change the Communications Setup screen in MSPE.

It has been noted with the DSP-12 that it will not send a packet if the TNC's PACLEN is set to less than 255. Therefore, ensure that the TNC PACLEN is set to 255 or greater. Users of other TNC's should also keep this in mind if they are having upload problems.

Note that although the DSP-12 manual sais that this value has no affect in KISS mode, this is incorrect. Also, the DSP-12 manual incorrectly states that the maximum value for PACLEN is 255.

Retry Time

This is the amount of time that MSPE will wait between sending successive retries. If the maximum number of retries is exceeded then MSPE will disconnect the link.

Maximum retries

This is the maximum number of retries that MSPE will make without an acknowledgment from the satellite, before it will disconnect the connection.

MaxFrame

This is the maximum number of frames that MSPE can transmit before it requires an acknowledgment from the satellite. It can be set between 1 and 7. A good compromise for this setting is 3 or 4.

TX Delay

This is the time that the TNC will delay sending of data after the start of transmissions. This should be long enough to allow the satellite to lock on to your signal before you transmit data to it. Also, your transmitter may need time to stabilise after the PTT is actuated. For most modern radios, this should be in the order of 150 to 200ms.

TX Tail

This is the time that the TNC will continue to hold the PTT line on after data has stopped being transmitted. This should be kept to around 30ms.

Packet Length

This is the number of data bytes transmitted in each packet. It can not be set above 255 bytes due to limitations in the AX-25 protocol.

Note: some TNC's may not support all of these options.


Message Search

The message search function will search through the directory and display messages that meet all the criteria entered in the data entry boxes. Therefore, the more information you enter, the less entries will be found.

With string searches (Destination, Source, Title and Keywords), text found anywhere in the field that matches that entered in input box, will be classified as a match. String searches are also case insensitive.

For example, "ALL", will match "Allowance".


ProcMail - The Mail Processor

Once a message is downloaded it must be processed to remove the Pacsat File Header. ProcMail performs this function, and places messages and binary files into an appropriate directory for later viewing.

The directory structure used by ProcMail is set up with the Satellite Directory Setup screen.

ProcMail can process messages after a pass is complete, or during a pass as soon as the file has been downloaded. The post-pass processing is run from GSC, while the during-the-pass processing is run from MSPE. Only files that are smaller than the Processing threshold level will be processed by MSPE. This can be set up with the MSPE General Setup screen.

Because other programs may be running while ProcMail is processing the downloaded mail, it is desirable to not use too much system time. For this reason ProcMail performs a small part of the processing function at a time before allowing another program to run. This means that ProcMail will take at least 5 seconds to process a file, longer if the file is compressed.

ProcMail produces a log file of any errors it encounters while it is processing files. This log file is viewable in GSC from with the Housekeeping/View ProcMail Errors menu option


ProcMail Setup

The ProcMail setup screen is located under the setup menu in GSC.

ProcMail setup options are -:

Decompress binary files

Check this option if you want binary files decompressed. If there is more than one file in the archive file, the decompressed files will remain in their own directory. This directory is the message number.

If there is only one file is the archive, it will be move back to the normal directory.

Allow reading of personal messages

When ProcMail receives a message addressed to your station, it can automatically run MsgView to allow you to read your mail.

Add a header to received messages

ProcMail can add a simple header to the top of received messages. This is not normally required as MsgView has its own header.

Process keps to original filename

If you check this box, ProcMail will process all keplerian element files into their original filenames. If the filename already exists, the new file will be deleted. You can then specify the same Keplerian directory for all satellites, and you will only end up with one copy of each element set. This option is useful to stop multiple copies of element files ending up in all your directories, since AMSAT uploads the keplerian element files to multiple satellites with the same filename.

Place all BBS files in BBS directory

This option is really only for BBS Satellite Gateway operation. If the option is checked, then all BBS files received will be placed in the BBS directory. If you don't check this option, BBS files addressed to your station will be placed in the MYMSGS directory.


Process Message

<This program is not currently available>

ProcMsg allows manual processing of messages. This is normally only required when ProcMail reports an error while it is trying to process a file.

ProcMsg allows you to make all the decisions that ProcMail would normally make. This allows you to process messages that have incorrect filetype, compression type or invalid filenames.


The lower the priority value the higher the actual priority. Priority 1 is the highest priority.


Select the type of TNC that you have. If your TNC type is not listed, try selecting TNC-2 as most TNCs are compatible with this standard.


When WiSP wants to change transverters, it can automatically run a program for you. You can use this program to change relays etc in your station hardware.


Registering Information

This program requires a registration number to remove the annoying screens that will pop up from time to time. This number is available from AMSAT-NA, AMSAT-DL, AMSAT-VK, AMSAT-ZL, AMSAT-F and AMSAT-UK.

If you decide you like the system and intend to use it, you must obtain a registration number. If this request is overlooked, and stations choose not to register their copy, then the package may need to be programmed such that it will not work at all without registration.

Unregistered copies will have <W> placed in the Keywords line of any messages they create.

All money received from the registration of this program will go to AMSAT to allow them to build and launch more satellites.

GSC, MSPE, View-Dir, ProcMail, MsgMaker, UpdKeps, WiSP-TLM and MsgView are all copyright to Chris Jackson G7UPN/ZL2TPO. They are available for use by Amateur Radio Stations under the above conditions. Non amateur use using the amateur version is forbidden. Non amateru users must contact the author for licensing information.

Registrations are being accepted by the following organisations.

AMSAT UK

Ron Broadbent G3AAJ

London E12 5EQ

England

phone 44(0)181 989 6741

fax 44(0)181 989 3430

Radio Amateur Satellite Corp (AMSAT NA)

850 Sligo Ave

Suite 600

Silver Springs MD

phone 301-589-6062

fax 301-608-3410

internet: martha@amsat.org

AMSAT-DL Warenvertrieb

Reinhard Richter, DJ1KM

Lohfeldweg 40

D-30459 Hannover/Germany

internet dj1km@amsat.org

fax 49(0)511 411112

AMSAT-Australia

G.P.O. Box 2141

Adelaide S.A. 5001

AUSTRALIA

internet vk5agr@amsat.org

Phone (08)2975104 Int'l 61-8-2975104

between 0800 and 1100UTC daily

AMSAT-ZL

internet zl1biv@amsat.org


Rotator Setup

Rotator setup is used to tell GSC what type of rotator is connected to your system. GSC can then enable the rotator at the beginning of a pass, and disable it after the pass.

Type

This is the type of rotator controller that you have connected to your computer. The controller is what WiSP talks to to actually move the rotator.

Possible selections are -:

NONE

Select this option if you don't have any rotator attached.

Level 1

Select this option if your rotator driver supports the Windows Level 1 rotator driver. The current version of the KCT driver is Level 1. Later versions will be Level 3.

With Level 1, GSC sends all AZ/EL and Radio Uplink/Downlink information to the driver software. The driver takes care of moving the rotator and tuning the radios, and contains setup screens to set up this system.

TrakBox

This option is a temporary option until the external TrakBox driver has been written. This will not be in the immediate future. Set up the com port with the SETUP option. This assumes that the TrakBox com port speed is 9600bd.

SatTrak 4

This option is a temporary option until this driver is written. Set up the Com Port that the SatTrak is connected to by pressing the SETUP button. Ensure that the frequencies are set up correctly in the Satellite Info screen if you want WiSP to set the frequencies for you.

EasyComm

The EasyComm interface is a simple text transmission that should allow those stations that wish to build their own controllers to do so with relative ease. The interface protocol specification is displayed in another topic of this help file.

EasyComm 2

The EasyComm 2 standard is an extension of the EasyComm protocol to allow a more flexible string to be sent to the controller. It is also possible for the controller to return information such as antenna position to the host.

GS-232

This is the Yaesu standard RS-232 rotator controller.

Port

Those controllers that operate over a communications port must select the port here.

Speed

Select the speed of the communication port here.

Pacing Delay

GSC can wait a small amount of time before sending each byte of information to the controller. This may be required with some controllers to avoid missing characters.

Stop Position

GSC needs to know where your rotator azimuth travel stops to allow it to calculate elevation flip mode.

Enable Flip Mode

The flip mode allows GSC to flip the elevation rotator over 180 degrees to avoid the azimuth stop position during a pass.

Setup

For those controllers that have specific setup screens, this button will be enabled to allow you to edit this data.


MSPE Satellite Setup (GSC)

MSPE Satellite Setup

Log KISS frames

This is the default status of KISS logging. If you want to log all data received from the satellite by default, check this option. You can change the option during a pass using the File/Log KISS menu option. KISS logging will capture data to a file with the name of the date and extension of KSS.

Log Telemetry frames

This is the default status of Telemetry logging. If you want to log all telemetry received from the satellite by default, check this option. You can change the option during a pass using the File/Log Telemetry menu option. Telemetry logging will capture data to a file with the name of the date and extension of TLM.

Load View-Dir at start of pass

This option will load View-Dir at the start of a pass. This option is not recommended for unattended stations unless the 'Close View-Dir at end of pass' option is also selected.

Close View-Dir at end of pass

This option will close View-Dir at the end of a pass.

Automatically select U/L freq.

MSPE can attempt to automatically select a clear uplink frequency before you start uploading a file. This is worked out by checking the Open 12a message that the satellite sends.

Grab all heard files

With this box checked, MSPE will grab any files it has heard on the downlink. If you turn this off, you will only receive files that you have selected. Turning this on is more efficient, but will use a lot more disk space.

Block ALL BBS files

This option is specifically for BBS Gateway stations, but user stations may also wish to use it. With the option selected (ticked), you will only download BBS files (filetypes 1, 2 and 18) if they are already present in your download files list. This means that you will only download BBS file when you have requested them.

Run ProcMail at end of pass

This option will automatically run ProcMail at the end of a pass. You would normall do this to process all mail received during a pass

Broadcast Options

These options control the way MSPE handles broadcast requests. They can help make the satellite more efficient by limiting the number of stations requesting the directory, and also (possibly) limiting the number of requests for the same part of the file. MSPE uses a random method for deciding which holes it will request when requesting a file, and this should increase download speed and efficiency. For example, with a large file with a few holes required, one station may request fills of the beginning of the file, while another station may request fill of the end of the file (this is done automatically, and is random).

Send Auto Fill Requests

Checking this option will enable the automatic filling of files. This should normally be checked.

Customisation

NOTE: With all these options, once you have stopped requesting the directory for whatever reason, you will continue to fill all requested files before finishing the directory.

Don't Interrupt Dir

Selecting this option will allow the directory to be completely filled before any requests for files are made.

Interrupt when not in queue

This option will interrupt the directory fill, and download any requested files, when you are no longer in the PB queue. Therefore, even if your directory is not up to date, but you have files to download, the files will be requested before resuming the directory fill.

Interrupt Dir for MY files

With this option, if you are filling the directory and a message addressed to your station is received in the directory, that file will be requested. Once all of your personal mail has been received, MSPE will continue filling other requested files before resuming the directory fill.

Interrupt Dir for ANY file

With this option, if you are filling the directory and a message is received in the directory that is selected to automatically download, that file will be requested. MSPE will continue filling other requested files before resuming the directory fill.

Action when at tail of queue

MSPE can request a new hole fill when you are at the end of the queue. This should increase the speed of downloads because if some of your holes have been filled as a result of other stations requests, the satellite will not have to transmit the parts that you have received.

One possibility however is that your request may be beaten to the satellite by another stations request. This will cause you to be pushed back by one position in the queue. You won't be removed though.

You will not miss out on a position in the queue. If you are already in the queue, you can't be removed.

Randomly send request

On average, every four or five times that your call gets to the tail of the queue, a new request will be sent to update the hole list that the satellite is holding for your requests. This is a reasonably sociable option to select because you will keep your hole list reasonably well up to date, and you will also exit from the queue and allow others to have a go (of course when you exit from the queue, you have just as much chance to get back in as anyone else). Over less populated areas, where the queue normally doesn't get full, the Send new request option is probably better.

Nothing

This option will allow you to just continue in the queue until you are removed by the satellite in the normal way. No special action will be taken when your call gets to the tail of the queue.

Send new request

Every time that your call gets to the end of the queue, a new request will be sent. While this will probably result in the most efficient downloading, it may also be unsociable in heavily populated areas where the queue is often full. This is because you will not normally exit the queue until a file is complete.


Satellite Setup

Satellites must be fully set up before they can be used by the system. Names, callsigns and directories must all be correctly defined or the system will not work with a particular satellite.

Don't forget to press the Directory button so that GSC can create all the directories required for the satellite.

Options to be set up are

Name

This is the name of the satellite as it will appear in all the selection menus. This name must be spelt exactly the same as it is spelt in the NASA/AMSAT element sets or GSC will not be able to generate tracking information.

Broadcast Callsign

This is the callsign that the satellite uses for transmitting broadcast packets.

BBS Callsign

This is the callsign that the system uses to connect to the satellite when uploading files.

NUP Callsign

This is the callsign used by the New Upload Protocol for uploading files to the spacecraft.

Priority

The priority number is used by GSC to schedule satellites. The lower the number the higher the priority. Priority 0 satellites will not be run.

Program

This is the program that will be run when GSC starts a satellite pass. It defaults to MSPE but any program could be run. For example you may wish to use TERMINAL with satellites such as FO-20, or STS, or a telemetry decoding program for P3 satellites. You can append %S to the command line if you want to add the satellite name.

TLM File

You can enter the name of a telemetry configuration file in here. WISP-TLM reads this information.

Communication Setup

Each satellite needs to have a set of communications perameters. This includes COM Port, Baud Rate, TNC type, DSP Mode etc. This is set up in the Communications setup screen. You then need to tell GSC which set to use. Select from the list box.

Display Schedule

If you check this box, then the satellite will be displayed in the schedule window, and if the priority is not 0, it will be run. If you set a satellite priority to 0, and tick the Display Schedule box, then the passes will be displayed, but no programs will be run for that satellite. This can be useful for satellites that are not used, or for analogue communications satellites.

Use satellite time to update clock

If this option is checked, your computers time will be updated from the satellite clock. This option should only be selected for satellites that have their clock maintained accurately.

Use pass checking with GSC

If this option is checked each satellite pass will be checked before it is run to ensure that the pass is in fact required. A pass will only be run if there are files to be uploaded or downloaded, or the directory is older than a certain age.

Pass check time

This is the maximum age (in minutes) that the directory can be before the pass will be run.

Missing image: bm5.wmf Delete the currently selected satellite.

Missing image: bm6.wmf Clear all the fields ready for new entries to be entered.


Satellite Information

The satellite information screen allows you to enter all the satellite uplink and downlink frequencies into the system. These are used in some parts of the system to select a required uplink/downlink frequency, but can also be used as a convenient place to store the information for reference purposes.


Running WiSP as a SatGate

WiSP will opperate very well as a Satellite Gateway (SatGate) providing some perameters are set correctly. All the usual settings should be made for your station, and the following additional settings must be set.

MSPE General Setup

Block ALL BBS files. This provides the same function as the PB blockfiletype command. No BBS (Type 2/Type 18) files will be received unless they have been requested by your station. If you don't have this option set, you will end up downloading other satgates traffic.

ProcMail Setup

Place all BBS files in BBS dir. WiSPs default action is to place all files addressed to your station in the MYMSGS directory. This setting forces all BBS files to be placed in the BBS directory. This is the directory that your import program should look for the incoming mail.

Processing Satellite Mail

You can set up an event to run before and after the satellite pass. This can be used to export the outgoing mail before a pass, and import the incoming mail after a pass.

Running FBB under Windows

FBB runs fine under Windows, so long as you run the FBB communications driver (ESS) before you run Windows. This could be run from your AUTOEXEC.BAT, before Windows.

Starting everything when Windows starts

Windows has a STARTUP group which you will find in the START menu. All you need to do is place a shortcut to GSC and FBB in this group.


Select Satellite

Select the satellite you wish to change to by either double clicking on the satellite name, or selecting the satellite name and pressing OK.


Setup Events

You can set the system up to run programs at certain times. A program can be set up to run at various intervals during a day, or can be set up to run before or after a satellite pass.

You should avoid scheduling two events to run at the same time. If you do this, it is possible that you could miss one of the events.

The Activate box must be checked for the event to work.

If you check the Run Minimsed box, the application will run as an icon. This should be the normal mode, as you are not normally interested in the actual program since it is providing an automatic function.

Notes for setting up events

You an run DOS programs or Windows programs. All programs should terminate themselves. If you run a DOS program, you should use a PIF file to allow the multitasking ratio and windowing to be set up. Background execution should be checked as should Windowed. Under Advanced you should set Background Priority to a reasonably small number to allow foreground tasks to continue running smoothly. You may want to set other options as well, but these are the main ones (apart from the program name etc.).

The Time field will have different meanings depending on what type of event you are running

Once per day events The time is the time of day that you want to run the event. The Sec/Min fields perform no function. e.g. If you have 120 in the Time field, the event will run at 0120 UTC.

Weekday events Same as above, but only run on weekdays.

Weekend day events Same as above, but only run on weekend days.

Before pass events. The time is the time before a pass to run the event.

After pass events. The time is the time after the completion of a pass that the event will run.

Regular events. The time is the repetitive duration to run the event.

If you have Pass Checking enabled for any satellites, and have Before pass events set up, the event will still run even if the pass is aborted, if the event time is programmed before the Pass Run time.

Housekeeping

The File Cleanup option under the Associate With group is a special predefined event. If you select it, then you must also select either Every Day or Regularly in the Run Details group. This event will automatically run the Housekeeping | File Housekeeping menu option with the options already selected in that window. It will perform the function on all satellites. For information on setting up the Housekeeping, refer to the File Housekeeping help.


Setup Sounds

WiSP can produce audible alerts when certain system events occur. These alerts can take the form of either beeps from the PC loudspeaker, or, if your system is fitted with a sound card, it can play WAV files. You can select which sounds you want using the check boxes on the left of the window, and the type using the radio buttons at the top of the window.

If you are using WAV files, you need to enter the full path name of the WAV file that you wish to run for each event in the edit box next to the selection boxes.

Alerts can be sounded for the following events -:

Errors

Whenever an error occurs. This will normally be associated with a message box advising of the nature of the message.

Pre Pass

If you have the pre pass pop-up enabled in GSC general Setup, this sound will be associated with that event.

New Mail

Whenever WiSP receives a new message addressed to your station, it will sound this alert when it pops up MsgViewer. This will only happen if you have 'Allow reading of personal messages' checked in ProcMail Setup.

New DL

Whenever MSPE downloads any new file it will sound this alert.

Track AOS

Whenever a satellite that is being tracked in the lower window in GSC reaches AOS (ie. It rises above the horizon), this sound will play.

Different pre-pass WAV per satellite

If you have Pre-Pass WAV sounds enabled, then you can have individual WAV files for each satellite by selecting this option. The WAV file must be in the WiSP Directory, and it must have the same name as the satellite name, with the .WAV extension. ie. For KO-23, the file will need to be called KO-23.WAV.


Station Setup

The Station perameters are required by most of the programs and must be set properly for the system to work correctly.

The Callsign must be set to you amateur callsign. It will be used in all programs to identify messages addressed to you station and send messages.

The Station coordinates are required by GSC so that the scheduling and tracking functions will work properly for your stations position. They should be entered in as decimal numbers and not degrees, minutes and seconds.


System Overview

WiSP is a multi program package used to access the Amateur Radio Micro Satellites. There are Seven programs in the package that work together to perform a complete groundstation function.

The programs are -:

GSC GroundStation Control. This program provides housekeeping and scheduling functions for the complete groundstation package. Features include file deletion and log processing along with system wide setup functions.

MSPE MicroSat Protocol Engine. This program provides all the uploading and downloading functions required to access the satellites.

View-Dir View Directory. This provides the directory viewing and message viewing/reply functions, along with some message housekeeping functions.

MsgMaker Message Maker. All message creation and replies are performed through Message Maker. It gives the user a large amount of flexibility when sending messages and binary files while still providing a quick, automated function.

ProcMail Process Mail. Processes received messages as they are downloaded from the satellite, and places them in the required directories for viewing.

MsgView Message Viewer. Views all ASCII messages received from the satellite. Messages can be replied to and deleted.

UpdKeps Update Keps. Automatically updates the keplerian database when new keps files are received from the satellite.

WiSP-TLM The WiSP Telemetry decoder works with MSPE to display real time telemetry while the pass is in progress.

The programs all interact and advise each other of any events that other programs may need to know. For example, when MsgMaker creates a new file for uploading, if MSPE is currently running, MsgMaker will advise MSPE that a new file is available for uploading.

Breaking the system down into six small programs instead of having one large programs provides flexibility, and also enhances the systems power. You can view many messages at the same time (in different windows), while also having a MsgMaker window open to reply to a message. You can then Cut and Paste text between the different windows.

Messages can be viewed and replied to while uploads and downloads continue in the background.

Also, as MSPE downloads a message, it can be processed by ProcMail while MSPE continues to operate. If the message is addressed to your station, it will automatically pop up for viewing using MsgView, again while the other functions continue in the background.

The system can automatically select a free uplink frequency before uploading commences.

All documentation is available as online help. It is recommended that before you run the system, you check through the set up options in the help screens.

This version is designed for Microsoft Windows 32 bit operating systems. Currently these are Windows95 and Windows NT 4.0. WiSP will not run under Win32s.


Transverter Setup

WiSP allows you to set up any transverters that your station may use. If you tell WiSP about the transverter, then it may be able to automatically select the correct offset, and possibly even change relays etc. if your station hardware allows.

Name

Enter the name of the transverter in here. This is not used by WiSP but will appear in the listbox so you should choose a name that is recognisable by you.

Program

When WiSP wants to change transverters, it can automatically run a program for you. You can use this program to change relays etc in your station hardware.

Start

This is the lowest frequency that your transverter can accomodate.

Finish

This is the highest frequency that your transverter can accomodate.

TX LO

If your transverter allows transmit conversions, then you should check this checkbox and you must enter the Local Oscillator frequency in the box. The Local Oscillator frequency is the offset between the actual RF frequency and the IF input/output of the transverter.

RX LO

If your transverter allows receive conversions, then you should check this checkbox and you must enter the Local Oscillator frequency in the box. The Local Oscillator frequency is the offset between the actual RF frequency and the IF input/output of the transverter.


This sets the maximum number of frames that MSPE will upload before waiting for an acknowledgement from the spacecraft. Don't make this too high or you will loose efficiency. A setting of 2 to 4 should be ideal for most situations.


This is the lowest frequency that your transverter can accomodate.


Update Satellite Database

GSC maintains a set of Keplerian elements for satellites that it uses. This is required for the scheduling and tracking functions.

The satellite database length is (currently) 50 satellites. This allows enough room to store all Amateur satellites and other satellites of interest, e.g. weather satellites.

To update the database, select the filename of the Keplerian element file, and select the filetype (NASA/AMSAT keps file).

Normally you will want the element set updated, but occasionally you may need to rewrite the database. This option will remove all satellites from the database before loading the data from the keps file you select.

If you have trouble updating from a particular file, try removing any unwanted text in the file before updating the database. Most of the keplerian files that are distributed by AMSAT have formatting and explanatory text at the top of the file and sometimes during the file as well.

WiSP will display a list detailing what satellites were updated, and which ones had old keps.

When new keplerian element sets are received from the satellite, they will automatically update the database.


Update Keps (UpdKeps)

UpdKeps

UpdKeps will automatically update your WISP.KEP file when new keplerian element files are received from the satellite.

Whenever a new set of elements is received, ProcMail calls UpdKeps and passes it the filename of the new keps file. UpdKeps then updates the WISP.KEP file with the new information.

UpdKeps must be in your WiSP Directory. No other action is required. It will go about its job of keeping your systems information up to date. When the keps are updated, UpdKeps will advise you of this with a message box. You will need to acknowledge this before the box will disappear.


View Directory

From View Directory you can view the satellite file directory, mark a files auto status, read messages and reply to messages. Message searching and file deletion are also available.

Binary files can be run directly from View-Dir if there is an association for the file extension already setup. Associations can be set up in File Manager using the File/Associate... menu option. This will work for most files that have an association. However, if you have ProcMail set up to decompress files, then this feature will not work and you must run the programs from File Manager or DOS.


View MSPE Logs

Here you can view the MSPE.LOG file from each satellite. The pass data is displayed on a line, with one pass per line.

Select the satellite whose log you wish to view, using the Satellite listbox. Log entries will then be displayed in the main listbox.

If there are upload entries in the log file, the Uploads button will be enabled.

To erase the log file and start fresh, press the Clear button.

To Print the Log File, press the Print button.


View Upload Logs

The upload logging screen displays entries from the MSPE.LOG file for uploads. Each upload action is displayed on an individual line.

The filename is displayed first on the line followed by the number of bytes actually uploaded while connected to the satellite, and the time in which it took to upload them. The average bytes per second is displayed next, followed by a short comment on the transfer.

The upload time is actually slightly longer than that actually taken to upload the file. This is because when the satellite receives the file, it checks the file to ensure it has received it correctly. This can take a few seconds to perform. For short files this few seconds is a large percentage of the upload time so the upload time, and hence the CPS, is adversely affected. For larger files it has little effect.

Upload speed is affected by the number of stations on the satellite, both connected to the BBS (uploading), and those with download requests. This is because if the satellite must transmit data to fulfill requests from other stations, it cannot immediately acknowledge frames that you are uploading. If the satellite is lightly loaded, it will acknowledge your frames immediately and upload throughput will be faster.

To print the log,press the Print button.


WISP-TLM

WISP-TLM is a telemetry decoder for use with WiSP. It can be used to display the telemetry being received from the satellite while MSPE is running, or by playing back a KSS or TLM file after a pass.

WiSP-TLM uses the standard DTLM CFG files. The name of this file should be entered in the Satellite Setup screen. When WiSP-TLM starts, it connects to MSPE and requests this information.

You must specify the name of the CFG file in the Satellite Setup. This should include the full path name. WiSP-TLM uses the name of this file to get the name of the PAG and LIM files. It just changes the extension for these files.

WiSP-TLM also requires another configuration file with the same filename and PAG extension. This file tells WiSP-TLM where to place the various channels on the screen. You can set up different pages, and put different channels on each page. Each channel can only be placed on one page. Up to 15 pages can be defined.

You can define a page in the PAG file like....

W [Page #], [Page Name]

The Page number should be between 1 and 15. The first page defined is the page that is displayed when WiSP-TLM starts.

The format of each line in the PAG file is....

[A or S] [Channel #], [Page #], [Left], [Top], [Width]

The A or S defines wether the channel number relates to an Analogue channel or Status channel. The position information is all defined in characters.

WiSP-TLM will also read a LIM file where you can set up limits for various analogue channels. The format of the LIM file is....

[Channel #] [Minimum], [Maximum]


This is the size of the transmit buffer in MSPE. It should be set to at least twice the size of the largest transmitted packet.


The satellite State setting allows you to select which actions should be performed on a spacecraft. The possible options are ->

Disable No pass schedule will be generated for this spacecraft, and no automatic actions will be performed.

Display Pass will be calculated and displayed in the schedule, but no automatic actions will be performed.

Track and Display This is the normal setting for fully automatic operation. Passes will be calculated and run automatically.


If your TNC is a DSP machine, then you may add the DSP mode in this box. If you do this, GSC will place your DSP into the correct mode before running the scheduled program.


View-Dir Equations

View-Directory Equations

The View-Dir Select Equations allow you to specify predefined search routines for viewing the directory.

The equation file is called VIEW-DIR.EQN and must be located in the WiSP Directory.

You can have up to 20 equations in the equation file.

See Equation Format for information on writing equation files.

The following equations are predefined in View-Dir.

All Files This displays all files View-Dir has loaded.

Changes to the directory Displays all changes to the directory since View-Dir was last run.

Newest downloaded files Displays an newly downloaded files since View-Dir was last run.

Requested downloads Displays all files that your station originally requested for download, that have now been downloaded.


The Packet Length is the number of bytes that is transmitted in each packet by MSPE to the spacecraft while uploading. Normally this should be around the maximum of 255, however if you have low transmitter power you may benefit from a smaller Packet Length.


You can enter up to 4 downlink frequencies in these boxes. They are used by some parts of the system to automatically select frequencies.


Upload File Status Window

Upload File Information

The upload file information window gives you information on the progress of your uploads. It shows how many bytes have been uploaded, how many bytes still to be uploaded, the average characters per second that the upload is progressing at, and the expected time remaining to complete the upload if the average CPS remains the same.

If you minimise this screen, a U will appear in the bottom right corner of the MSPE Main Screen. To restore the screen after it has been minimised, double click the left mouse button when the mouse pointer is over the U.

It is possible to make the default status of this window minimised. In this case a U will appear in the bottom right corner of the MSPE Main Screen when an upload starts. To enable this option see the MSPE General Setup.

Missing image: bm21.wmf Stop the upload. If you press this button, the upload will be immediately terminated. Uploading will be disabled for a short period (Up to 1 minute).

Missing image: bm22.wmf Show this help page.

See Also

File Uploading


Select the uplink mode from this selection.